/**********************************************************************
  2008 Microchip Technology Inc.

 FileName:           Utility.h
 Dependencies:       Header (.h) files if applicable, see below
 Processor:          PIC24HJ128GP504
 Compiler:           MPLAB C30 v3.11b or higher

 SOFTWARE LICENSE AGREEMENT:
 Microchip Technology Incorporated ("Microchip") retains all ownership and
 intellectual property rights in the code accompanying this message and in all
 derivatives hereto.  You may use this code, and any derivatives created by
 any person or entity by or on your behalf, exclusively with Microchip's
 proprietary products.  Your acceptance and/or use of this code constitutes
 agreement to the terms and conditions of this notice.

 CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS".  NO
 WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIP'S
 PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

 YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE, WHETHER
 IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY),
 STRICT LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT, SPECIAL,
 PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, FOR COST OR EXPENSE OF
 ANY KIND WHATSOEVER RELATED TO THE CODE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN
 ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT
 ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO
 THIS CODE, SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO
 HAVE THIS CODE DEVELOPED.

 You agree that you are solely responsible for testing the code and
 determining its suitability.  Microchip has no obligation to modify, test,
 certify, or support the code.
***********************************************************************/

/***********************************************************************
*                                                                      *
*      Constants.                                                      *
*                                                                      *
***********************************************************************/
#define Delay200uS_count  200
#define Delay_1mS_Cnt     1
#define Delay_2mS_Cnt     2
#define Delay_5mS_Cnt     5
#define Delay_15mS_Cnt    15
#define Delay_1S_Cnt      1000

/***********************************************************************
*                                                                      *
*      Function prototypes.                                            *
*                                                                      *
***********************************************************************/
extern void Delay(unsigned int delay_count);
extern void Delay_Us(unsigned int delayUs_count);

extern void ReadProgramMemory(long programMemoryAddress,
                              int *targetMemory, int size);
extern void ReadProgramMemoryWord(long programMemoryAddress,
                                  unsigned long *targetMemory);
extern void PackForG711(int *source, char *destination,
                        int sizeOfSource);

extern int VectorMax(int numElems, int *srcV, int *maxIndex);





