/***********************************************************************
*                                                                      *
*      User Level #define Macros.                                      *
*                                                                      *
***********************************************************************/

// Application specific user parameters used in user.c may go here.

/***********************************************************************
*                                                                      *
*      User function prototypes.                                       *
*                                                                      *
***********************************************************************/

// User level functions prototypes (i.e. InitApp) go here.

void InitApp(void);         // I/O and Peripheral Initialization.
int SetPwm(int, int);
int SetColor(int, long);
int FadeOver(int, int, int,
             int, int, int,
             int, int, int,
             int);
void delay_ms(int);

/***********************************************************************
*                                                                      *
*      External references.                                            *
*                                                                      *
***********************************************************************/
extern int indicator;       // LED bar indicator value (0..31)
extern int pwm[];           // pwm channel table.
extern unsigned int g[];    // Gamma table.

/***********************************************************************
*                                                                      *
*      Definitions.                                                    *
*                                                                      *
***********************************************************************/
#define DEBUG 0

// PUSHBUTTON is the port where the pushbutton is connected.
#define PUSHBUTTON PORTBbits.RB4
// PUSHBUTTON_CN is for setting pull-up on this port.
#define PUSHBUTTON_CN CNPU1bits.CN1PUE

// IND1..5 are the latches for IND1..5
#define IND1 LATBbits.LATB11
#define IND2 LATBbits.LATB12
#define IND3 LATAbits.LATA10
#define IND4 LATAbits.LATA7
#define IND5 LATAbits.LATA3

// LEDxx are the latches for LEDxx.
#define LED1R LATCbits.LATC8
#define LED1G LATCbits.LATC9
#define LED1B LATBbits.LATB10
#define LED2R LATBbits.LATB9
#define LED2G LATCbits.LATC6
#define LED2B LATCbits.LATC7
#define LED3R LATCbits.LATC5
#define LED3G LATBbits.LATB7
#define LED3B LATBbits.LATB8
#define LED4R LATAbits.LATA4
#define LED4G LATCbits.LATC3
#define LED4B LATCbits.LATC4
#define LED5R LATCbits.LATC1
#define LED5G LATCbits.LATC2
#define LED5B LATAbits.LATA2
#define LED6R LATBbits.LATB2
#define LED6G LATBbits.LATB3
#define LED6B LATCbits.LATC0
#define LED7R LATAbits.LATA1
#define LED7G LATBbits.LATB0
#define LED7B LATBbits.LATB1
#define LED8R LATBbits.LATB14
#define LED8G LATBbits.LATB15
#define LED8B LATAbits.LATA0

// PORT_LEDxx are the indices in the pwm[] table for each LED.
#define PORT_LED1R 0
#define PORT_LED1G 1
#define PORT_LED1B 2
#define PORT_LED2R 3
#define PORT_LED2G 4
#define PORT_LED2B 5
#define PORT_LED3R 6
#define PORT_LED3G 7
#define PORT_LED3B 8
#define PORT_LED4R 9
#define PORT_LED4G 10
#define PORT_LED4B 11
#define PORT_LED5R 12
#define PORT_LED5G 13
#define PORT_LED5B 14
#define PORT_LED6R 15
#define PORT_LED6G 16
#define PORT_LED6B 17
#define PORT_LED7R 18
#define PORT_LED7G 19
#define PORT_LED7B 20
#define PORT_LED8R 21
#define PORT_LED8G 22
#define PORT_LED8B 23



// TIM is a value for timer boost. The higher the value,
// the faster T1 interrupts will occur. Must not be to
// close to 65535.
//#define TIM 65290
#define TIM 65305

// MAX is max number of steps for LED dimming.
#define MAX 63

// SOFT_START is a timing value for soft start duration time.
#define SOFT_START 20

// NBR_LEDS is the number of LEDs.
#define NBR_LEDS 24

